Index: trunk/geant4/interfaces/basic/include/G4UIArrayString.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIArrayString.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4UIArrayString.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIArrayString.hh,v 1.3 2006/06/29 19:09:27 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: trunk/geant4/interfaces/basic/include/G4UIQt.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UIQt.hh,v 1.13 2006/06/29 19:09:33 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01 $
+// $Id: G4UIQt.hh,v 1.2 2007/11/08 17:00:09 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 #ifndef G4UIQt_h
@@ -38,15 +38,15 @@
 #include "G4VInteractiveSession.hh"
 
-#include <QtGui/qmainwindow.h>
-#include <QtGui/qlineedit.h>
-#include <QtGui/qlistwidget.h>
-#include <QtGui/qtextedit.h>
-#include <QtGui/qlabel.h>
-#include <QtGui/qtreewidget.h>
-#include <QSignalMapper.h>
-#include <QObject>
+#include <QtCore/QObject>
 
+class QMainWindow;
+class QLineEdit;
 class G4UIsession;
-
+class QListWidget;
+class QTextEdit;
+class QLabel;
+class QDialog;
+class QTreeWidgetItem;
+class QTreeWidget;
 
 // Class description :
Index: trunk/geant4/interfaces/basic/include/G4UIWin32.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIWin32.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4UIWin32.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIWin32.hh,v 1.14 2006/06/29 19:09:29 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 #ifndef G4UIWin32_h
Index: trunk/geant4/interfaces/basic/include/G4UIXaw.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIXaw.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4UIXaw.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIXaw.hh,v 1.6 2006/06/29 19:09:31 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 #ifndef G4UIXaw_h
Index: trunk/geant4/interfaces/basic/include/G4UIXm.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIXm.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4UIXm.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIXm.hh,v 1.13 2006/06/29 19:09:33 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 #ifndef G4UIXm_h
Index: trunk/geant4/interfaces/basic/include/G4UIcsh.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIcsh.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4UIcsh.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcsh.hh,v 1.4 2006/06/29 19:09:35 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: trunk/geant4/interfaces/basic/include/G4UItcsh.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UItcsh.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4UItcsh.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UItcsh.hh,v 1.7 2006/06/29 19:09:37 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4UItcsh.hh,v 1.8 2007/06/14 05:44:58 kmura Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
@@ -40,5 +40,5 @@
 #include "G4UIcommandTree.hh"
 
-//
+// ====================================================================
 //   Description:
 //   This class gives tcsh-like shell.
@@ -68,4 +68,5 @@
 //   %h ... history# (different from G4 history#)
 //
+// ====================================================================
 
 class G4UItcsh : public G4VUIshell {
@@ -125,6 +126,11 @@
   void SetLsColor(TermColorIndex dirColor, TermColorIndex cmdColor);
   virtual G4String GetCommandLine(const char* msg=0);
+
+  virtual void ResetTerminal();
 };
 
+// ====================================================================
+//   inline functions
+// ====================================================================
 inline G4bool G4UItcsh::IsCursorLast() const
 {
Index: trunk/geant4/interfaces/basic/include/G4UIterminal.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIterminal.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4UIterminal.hh	(revision 593)
@@ -24,17 +24,9 @@
 // ********************************************************************
 //
+// $Id: G4UIterminal.hh,v 1.10 2007/05/22 01:51:05 kmura Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
-// $Id: G4UIterminal.hh,v 1.9 2006/06/29 19:09:39 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
-//
-
-#ifndef G4UIterminal_h
-#define G4UIterminal_h 1
-
-#include <fstream>
-#include "G4UImanager.hh"
-#include "G4VBasicShell.hh"
-#include "G4VUIshell.hh"
-
+// ====================================================================
+//   G4UIterminal.cc
 //
 //   Description:
@@ -69,5 +61,12 @@
 //
 //   For more detail, see source codes.
-//
+// ====================================================================
+#ifndef G4UIterminal_h
+#define G4UIterminal_h 1
+
+#include <fstream>
+#include "G4UImanager.hh"
+#include "G4VBasicShell.hh"
+#include "G4VUIshell.hh"
 
 class G4UIterminal : public G4VBasicShell {
@@ -82,5 +81,5 @@
 
 public:
-  G4UIterminal(G4VUIshell* aShell=0);
+  G4UIterminal(G4VUIshell* aShell=0, G4bool qsig=true);
   ~G4UIterminal();
 
Index: trunk/geant4/interfaces/basic/include/G4VUIshell.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4VUIshell.hh	(revision 577)
+++ trunk/geant4/interfaces/basic/include/G4VUIshell.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VUIshell.hh,v 1.6 2006/06/29 19:09:41 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4VUIshell.hh,v 1.7 2007/06/14 05:44:58 kmura Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
@@ -34,5 +34,5 @@
 #include "globals.hh"
 
-//
+// ====================================================================
 //   Description: 
 //   This class is the abstract base class for various UI shells.
@@ -50,4 +50,5 @@
 //   %/ ... current working directory
 //
+// ====================================================================
 
 // terminal color index
@@ -95,8 +96,11 @@
   // get command string from a command line
   virtual G4String GetCommandLine(const char* msg=0)= 0;
+
+  virtual void ResetTerminal();
 };
 
-
-// inlines...
+// ====================================================================
+//   inline functions
+// ====================================================================
 inline void G4VUIshell::SetNColumn(G4int ncol)
 {
